Bug 1351589 - [RFE] Eventing for Gluster
Summary: [RFE] Eventing for Gluster
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: core
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.2.0
Assignee: Aravinda VK
QA Contact: Sweta Anandpara
URL:
Whiteboard:
Depends On: 1334044 1342356 1357821 1358671 1361094 1361983 1362144 1365395 1367774 1368042 1369721 1370406 1373072 1374587 1375532
Blocks: 1351503
TreeView+ depends on / blocked
 
Reported: 2016-06-30 11:49 UTC by Atin Mukherjee
Modified: 2017-03-23 05:38 UTC (History)
6 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1334044
Environment:
Last Closed: 2017-03-23 05:38:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Atin Mukherjee 2016-06-30 11:49:07 UTC
+++ This bug was initially created as a clone of Bug #1334044 +++

Description of problem:
Gluster Status can only be fetched by querying Gluster CLI. There should be efficient way to know the status of the Cluster without polling. All the clients/listeners should be informed immediately(near realtime)

--- Additional comment from Vijay Bellur on 2016-05-07 09:15:20 EDT ---

REVIEW: http://review.gluster.org/14248 (eventing: Gluster Eventing Feature implementation) posted (#1) for review on master by Aravinda VK (avishwan@redhat.com)

--- Additional comment from Vijay Bellur on 2016-05-07 11:34:49 EDT ---

REVIEW: http://review.gluster.org/14248 (eventing: Gluster Eventing Feature implementation) posted (#2) for review on master by Aravinda VK (avishwan@redhat.com)

--- Additional comment from Vijay Bellur on 2016-05-07 12:05:56 EDT ---

REVIEW: http://review.gluster.org/14248 (eventing: Gluster Eventing Feature implementation) posted (#3) for review on master by Aravinda VK (avishwan@redhat.com)

--- Additional comment from Vijay Bellur on 2016-05-07 12:54:52 EDT ---

REVIEW: http://review.gluster.org/14248 (eventing: Gluster Eventing Feature implementation) posted (#4) for review on master by Aravinda VK (avishwan@redhat.com)

--- Additional comment from Vijay Bellur on 2016-05-07 16:36:49 EDT ---

REVIEW: http://review.gluster.org/14248 (eventing: Gluster Eventing Feature implementation) posted (#5) for review on master by Aravinda VK (avishwan@redhat.com)

--- Additional comment from Vijay Bellur on 2016-05-11 08:25:12 EDT ---

REVIEW: http://review.gluster.org/14248 (eventing: Gluster Eventing Feature implementation) posted (#6) for review on master by Aravinda VK (avishwan@redhat.com)

--- Additional comment from Vijay Bellur on 2016-05-24 01:48:43 EDT ---

REVIEW: http://review.gluster.org/14248 (eventing: Gluster Eventing Feature implementation) posted (#7) for review on master by Aravinda VK (avishwan@redhat.com)

--- Additional comment from Vijay Bellur on 2016-06-07 02:54:53 EDT ---

REVIEW: http://review.gluster.org/14248 (eventsapi: Gluster Eventing Feature implementation) posted (#8) for review on master by Aravinda VK (avishwan@redhat.com)

--- Additional comment from Vijay Bellur on 2016-06-13 02:45:35 EDT ---

REVIEW: http://review.gluster.org/14248 (eventsapi: Gluster Eventing Feature implementation) posted (#9) for review on master by Atin Mukherjee (amukherj@redhat.com)

--- Additional comment from Vijay Bellur on 2016-06-20 02:34:05 EDT ---

REVIEW: http://review.gluster.org/14248 (eventsapi: Gluster Eventing Feature implementation) posted (#10) for review on master by Aravinda VK (avishwan@redhat.com)

--- Additional comment from Vijay Bellur on 2016-06-30 04:51:13 EDT ---

REVIEW: http://review.gluster.org/14248 (eventsapi: Gluster Eventing Feature implementation) posted (#11) for review on master by Aravinda VK (avishwan@redhat.com)

Comment 2 Atin Mukherjee 2016-07-04 08:45:49 UTC
http://review.gluster.org/14248 posted for review.

Comment 8 Sweta Anandpara 2016-11-09 12:48:18 UTC
First cut of testing eventing as a feature has been done on the build 3.8.4-x (x=1-3), and the core seems to be working good. Multiple issues have been found for which relevant BZs have been raised. 

Moving this blanket BZ to verified in 3.2

Comment 10 errata-xmlrpc 2017-03-23 05:38:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.